Loading...
Searching...
No Matches
pcl::detail::AccumulatorLabel Struct Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

using | IsCompatible = pcl::traits::has_label<boost::mpl::_1>

## Public Member Functions

template<typename PointT>
void | add (const PointT &t)
template<typename PointT>
void | get (PointT &t, std::size_t) const

## Public Attributes

std::map< std::uint32_t, std::size_t > | labels

## Detailed Description

Definition at line 181 of file accumulators.hpp.

## Member Typedef Documentation

## IsCompatible

using pcl::detail::AccumulatorLabel::IsCompatible = pcl::traits::has_label<boost::mpl::_1>

Definition at line 185 of file accumulators.hpp.

## Member Function Documentation

## add()

template<typename PointT>

void pcl::detail::AccumulatorLabel::add | ( | const PointT & | t | ) |

inline

Definition at line 192 of file accumulators.hpp.

References labels.

## get()

template<typename PointT>

void pcl::detail::AccumulatorLabel::get | ( | PointT & | t,
|  | std::size_t | ) const

inline

Definition at line 202 of file accumulators.hpp.

References labels.

## Member Data Documentation

## labels

std::map<std::uint32_t, std::size_t> pcl::detail::AccumulatorLabel::labels

Definition at line 189 of file accumulators.hpp.

Referenced by add(), and get().

The documentation for this struct was generated from the following file:

- pcl/common/impl/accumulators.hpp